Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default.properties	(revision 37479)
@@ -256,5 +256,5 @@
 authen.register_as_new=Register as a new user
 authen.group_desc=Groups is a comma-separated list of group names. Type in a group name, or choose one from the list and click 'Add Group'.
-authen.admin_desc='Administrator' gives access to user management
+authen.admin_desc='administrator' gives access to user management
 authen.all_coll_edit_desc='all-collections-editor' allows editing of all collections
 authen.pers_coll_edit_desc='personal-collections-editor' allows editing of all collections created by the user in GLI
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_de.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_de.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_de.properties	(revision 37479)
@@ -254,5 +254,5 @@
 authen.register_as_new:Als neuer Benutzer registrieren
 authen.group_desc:Gruppen ist eine Komma-getrennte Liste von Gruppennamen. Tippen Sie einen Gruppennamen ein oder wÃ€hlen Sie einen aus der Liste und klicken 'Gruppe hinzufÃŒgen'
-authen.admin_desc:'Administrator' vergibt Zugang zur Benutzerverwaltung
+authen.admin_desc:'administrator' vergibt Zugang zur Benutzerverwaltung
 authen.all_coll_edit_desc:'Alle-Sammlungen-Editor' erlaubt Bearbeitung aller Sammlungen
 authen.pers_coll_edit_desc:'PersÃ¶nliche-Sammlung-Editor' erlaubt die Bearbeitung aller vom Benutzer erstellten Sammlungen in GLI
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 37479)
@@ -254,5 +254,5 @@
 authen.register_as_new:Registrarse como nuevo usuario
 authen.group_desc:Groupos es una lista separada por comas de nombres de grupos. Escriba un nombre de grupo, o elija uno de la lista y seleccione ' Agregar grupo'.
-authen.admin_desc:'Administrator' otorga acceso a la gestiÃ³n de usuarios
+authen.admin_desc:'administrator' otorga acceso a la gestiÃ³n de usuarios
 authen.all_coll_edit_desc:'all-collections-editor' permite editar todas las colecciones
 authen.pers_coll_edit_desc:'personal-collections-editor' permite editar todas las colecciones creadas por el usuario en el GLI.
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_fr.properties	(revision 37479)
@@ -255,5 +255,5 @@
 authen.register_as_new:Enregistrer comme un nouvel utilisateur
 authen.group_desc:Groupes est une liste de noms de groupes sÃ©parÃ©s par une virgule. Tapez un nom de groupe ou choisissez en un dans la liste puis cliquez sur âAjouter un groupeâ.
-authen.admin_desc:'Administratorâ donne accÃšs Ã  la gestion des utilisateurs
+authen.admin_desc:'administratorâ donne accÃšs Ã  la gestion des utilisateurs
 authen.all_coll_edit_desc:'all-collections-editor' permet dâÃ©diter toutes les collections
 authen.pers_coll_edit_desc:'personal-collections-editor' permet dâÃ©diter toutes les collections crÃ©Ã©es par lâutilisateur dans GLI
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_hr.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_hr.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_hr.properties	(revision 37479)
@@ -254,5 +254,5 @@
 authen.register_as_new:Registrirajte se kao novi korisnik
 authen.group_desc:Grupe je popis imena grupa odvojenih zarezom. UpiÅ¡ite naziv grupe ili odaberite jedan s popisa i kliknite "Dodaj grupu".
-authen.admin_desc:'Administrator' daje pristup upravljanju korisnicima
+authen.admin_desc:'administrator' daje pristup upravljanju korisnicima
 authen.all_coll_edit_desc:'all-collections-editor' omoguÄuje ureÄivanje svih zbirki
 authen.pers_coll_edit_desc:'personal-collections-editor' omoguÄuje ureÄivanje svih zbirki koje je korisnik stvorio u GLIu
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 37478)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ko.properties	(revision 37479)
@@ -244,5 +244,5 @@
 authen.group_desc:ê·žë£¹ ìŽëŠì ìœ€ë§ë¡ êµ¬ë¶í©ëë€. ê·žë£¹ ìŽëŠì ì² ë£ê±°ë ëª
 ëšìì ê³ ë¥Žìê³  'Add Group'ì íŽëŠ­íìžì.
-authen.admin_desc:'Administrator'ë ì¬ì©ì êŽëŠ¬ê° ê°ë¥í©ëë€.
+authen.admin_desc:'administrator'ë ì¬ì©ì êŽëŠ¬ê° ê°ë¥í©ëë€.
 authen.all_coll_edit_desc:'all-collections-editor'ë ëªšë  ì»¬ë ì
  ížì§ìŽ ê°ë¥í©ëë€.