Index: /gs3-installations/computing50/trunk/sites/computing50/collect/celebrating-50-years/import/design-show/metadata.xml
===================================================================
--- /gs3-installations/computing50/trunk/sites/computing50/collect/celebrating-50-years/import/design-show/metadata.xml	(revision 37506)
+++ /gs3-installations/computing50/trunk/sites/computing50/collect/celebrating-50-years/import/design-show/metadata.xml	(revision 37506)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE DirectoryMetadata SYSTEM "http://greenstone.org/dtd/DirectoryMetadata/1.0/DirectoryMetadata.dtd">
+<DirectoryMetadata>
+	<FileSet>
+		<FileName>.*</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Subject">Design Show</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2005_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2005</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2005_B\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2005</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2006_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2006</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2006_B\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2006</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2007_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2007</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2007_B\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2007</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2008_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2008</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2008_B\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2008</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2009_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2009</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2009_B\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2009</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2010_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2010</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2010_B_Honours\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2010</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2011_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2011</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2011_B_Honours\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2011</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2012_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2012</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2012_B_Honours\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2012</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2013_A\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2013</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2013_B_Honours\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2013</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2014\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2014</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2015\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2015</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2016\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2016</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2017\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2017</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2018\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2018</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2019\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2019</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2020\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2020</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2021\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2021</Metadata>
+		</Description>
+	</FileSet>
+	<FileSet>
+		<FileName>bdes_designshow_2022\.jpg</FileName>
+		<Description>
+			<Metadata mode="accumulate" name="dc.Coverage">2022</Metadata>
+		</Description>
+	</FileSet>
+</DirectoryMetadata>