Index: main/trunk/greenstone3/ANT-LOGRESET-RESTART-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ANT-LOGRESET-RESTART-CUSTOM.sh	(revision 37644)
+++ main/trunk/greenstone3/ANT-LOGRESET-RESTART-CUSTOM.sh	(revision 37644)
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+# Could add custom code here if needed, but likely already dealt with
+# in companion "ANT-*CUSTOM.sh" scripts
+
+./ANT-STOP-CUSTOM.sh && ant reset-logs && ./ANT-START-CUSTOM.sh
+
Index: main/trunk/greenstone3/ANT-RESTART-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ANT-RESTART-CUSTOM.sh	(revision 37644)
+++ main/trunk/greenstone3/ANT-RESTART-CUSTOM.sh	(revision 37644)
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+# Could add custom code here if needed, but likely already dealt with
+# in companion "ANT-*CUSTOM.sh" scripts
+
+./ANT-STOP-CUSTOM.sh && ./ANT-START-CUSTOM.sh
+
+
Index: main/trunk/greenstone3/ANT-START-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ANT-START-CUSTOM.sh	(revision 37644)
+++ main/trunk/greenstone3/ANT-START-CUSTOM.sh	(revision 37644)
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+
+if test "x$gsopt_noexts" != "x1" ; then
+
+    echo ""
+    echo "----"
+    echo "Checking for custom ant-start extension settings (ant-start-settings.bash)"
+    echo "----"
+
+    # Check Greenstone3 extensions
+    if [ -d ext  ] ; then
+	for gsdl_ext in ext/* ; do
+	    if [ -d $gsdl_ext ] ; then
+		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
+		    cd $gsdl_ext > /dev/null
+		    . ./ant-start-settings.bash 
+		    cd ../..
+		fi 
+
+	    fi
+	done
+    fi
+
+    # Check Greenstone2 extensions
+    if [ -d gs2build/ext  ] ; then
+	for gsdl_ext in gs2build/ext/* ; do
+	    if [ -d $gsdl_ext ] ; then 
+		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
+		    cd $gsdl_ext > /dev/null
+		    . ./ant-start-settings.bash 
+		    cd ../../..
+		fi 
+	    fi
+	done
+    fi    
+fi
+
+
+# If needed, add any further customized code needed here, such as
+# environemnt variables
+
+
+ant start
+
+# Any customized clean up needed?
Index: main/trunk/greenstone3/ANT-STOP-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ANT-STOP-CUSTOM.sh	(revision 37644)
+++ main/trunk/greenstone3/ANT-STOP-CUSTOM.sh	(revision 37644)
@@ -0,0 +1,6 @@
+#!/bin/bash 
+
+# Add any customized code needed here, such as environemnt variables
+
+
+ant stop 
Index: main/trunk/greenstone3/ext/ANT-LOGRESET-RESTART-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ext/ANT-LOGRESET-RESTART-CUSTOM.sh	(revision 37632)
+++ 	(revision )
@@ -1,7 +1,0 @@
-#!/bin/bash
-
-# Could add custom code here if needed, but likely already dealt with
-# in companion "ANT-*CUSTOM.sh" scripts
-
-./ANT-STOP-CUSTOM.sh && ant reset-logs && ./ANT-START-CUSTOM.sh
-
Index: main/trunk/greenstone3/ext/ANT-RESTART-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ext/ANT-RESTART-CUSTOM.sh	(revision 37632)
+++ 	(revision )
@@ -1,8 +1,0 @@
-#!/bin/bash
-
-# Could add custom code here if needed, but likely already dealt with
-# in companion "ANT-*CUSTOM.sh" scripts
-
-./ANT-STOP-CUSTOM.sh && ./ANT-START-CUSTOM.sh
-
-
Index: main/trunk/greenstone3/ext/ANT-START-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ext/ANT-START-CUSTOM.sh	(revision 37632)
+++ 	(revision )
@@ -1,46 +1,0 @@
-#!/bin/bash
-
-
-if test "x$gsopt_noexts" != "x1" ; then
-
-    echo ""
-    echo "----"
-    echo "Checking for custom ant-start extension settings (ant-start-settings.bash)"
-    echo "----"
-
-    # Check Greenstone3 extensions
-    if [ -d ext  ] ; then
-	for gsdl_ext in ext/* ; do
-	    if [ -d $gsdl_ext ] ; then
-		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
-		    cd $gsdl_ext > /dev/null
-		    . ./ant-start-settings.bash 
-		    cd ../..
-		fi 
-
-	    fi
-	done
-    fi
-
-    # Check Greenstone2 extensions
-    if [ -d gs2build/ext  ] ; then
-	for gsdl_ext in gs2build/ext/* ; do
-	    if [ -d $gsdl_ext ] ; then 
-		if [ -f $gsdl_ext/ant-start-settings.bash ]; then 
-		    cd $gsdl_ext > /dev/null
-		    . ./ant-start-settings.bash 
-		    cd ../../..
-		fi 
-	    fi
-	done
-    fi    
-fi
-
-
-# If needed, add any further customized code needed here, such as
-# environemnt variables
-
-
-ant start
-
-# Any customized clean up needed?
Index: main/trunk/greenstone3/ext/ANT-STOP-CUSTOM.sh
===================================================================
--- main/trunk/greenstone3/ext/ANT-STOP-CUSTOM.sh	(revision 37632)
+++ 	(revision )
@@ -1,6 +1,0 @@
-#!/bin/bash 
-
-# Add any customized code needed here, such as environemnt variables
-
-
-ant stop 