Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE-NG.sh
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE-NG.sh	(revision 37718)
+++ 	(revision )
@@ -1,51 +1,0 @@
-#!/bin/bash
-
-if [ -d "my-python3" ] ; then
-    echo "This sequence of compile-make requires a venv version of Python3"
-    echo "    python -mvenv my-python3"
-    echo "    activate ./my-python3/bin/activate"
-    echo ""
-    echo "You then need to:"
-    echo "    pip3 install meson ninja"
-    echo ""
-    sleep 10
-fi
-
-source setup.bash
-
-if [ "x$GSDLHOME" = "x" ] ; then
-  # This extension needs to have the main GSDL setup.bash sourced
-
-  echo "Greenstone environment variable GSDLHOME not set."
-  echo "Have you sourced the main installation's setup file, e.g. setup.bash?"
-  exit -1
-fi
-
-
-source cascade-make/bin/script/test-setup.bash
-source cascade-make/lib/cascade-lib.bash
-
-# Guaranteed that GSDLOS has now been set
-
-if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
-  echo "Creating $GEXTVIDEO_INSTALLED"
-  mkdir $GEXTVIDEO_INSTALLED
-fi
-
-dirlist="build-srcpack"
-
-if [ -e devel-srcpack ] ; then
-  dirlist="$dirlist devel-srcpack"
-fi
-
-for d in $dirlist ; do
-  echo "Running $d/CASCADE-MAKE-NG.sh $*"
-
-  (cd $d ; ./CASCADE-MAKE-NG.sh $*)
-
-  if [ $? != 0 ] ; then
-    echo "Error encountered running $d/CASCADE-MAKE-NG.sh"
-    exit 1
-  fi
-done
-
Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE.bat
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE.bat	(revision 37718)
+++ 	(revision )
@@ -1,15 +1,0 @@
-@echo off
-pushd "%CD%"
-CD /D "%~dp0"
-
-call setup.bat
-
-echo "Test for directory in Windows might not be correct syntax!!"
-if not exist "%GEXTVIDEO_INSTALLED%" (
-  echo Creating %GEXTVIDEO_INSTALLED%
-  mkdir "%GEXTVIDEO_INSTALLED%"
-)
-
-unzip installed-winbin.zip
-
-popd
Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE.sh	(revision 37718)
+++ 	(revision )
@@ -1,69 +1,0 @@
-#!/bin/bash
-
-if [ "x$GSDLHOME" = "x" ] ; then
-  # This extension needs to have the main GSDL setup.bash sourced
-
-  echo "Greenstone environment variable GSDLHOME not set."
-  echo "Have you sourced the main installation's setup file, e.g. setup.bash?"
-  exit -1
-fi
-
-if [ -z $APACHE_HTTPD_HOME ] ; then
-  export APACHE_HTTPD_HOME=$GSDLHOME/apache-httpd/$GSDLOS
-fi
-
-if [ ! -d "$APACHE_HTTPD_HOME" ] ; then
-  # ... and it also needs to have been configured with --enable-apache-httpd
-  # This is because the entension needs to add mod_flvx to the web server
-
-  if [ -z $GSDL3SRCHOME  ] ; then
-    # Greenstone 2
-    echo "Warning: Did not find the directory \"$APACHE_HTTPD_HOME\""
-    echo "         Has the main Greenstone been configured for this? "
-    echo "         e.g. ./configure --enable-apache-httpd [... other options]"
-    echo ""
-    echo "=> Only the build-time code for the extension will be compiled"
-  else 
-    # Greenstone 3
-    echo "  Compiling build-time video extension for Greenstone3 use"
-  fi
-  export APACHE_HTTPD_HOME=
-fi
-
-
-source cascade-make/bin/script/test-setup.bash
-source cascade-make/lib/cascade-lib.bash
-
-# Guaranteed that GSDLOS has now been set
-
-if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
-  echo "Creating $GEXTVIDEO_INSTALLED"
-  mkdir $GEXTVIDEO_INSTALLED
-fi
-
-dirlist="build-srcpack"
-
-if [ ! -z $APACHE_HTTPD_HOME ] ; then
-  dirlist="$dirlist runtime-srcpack"
-fi
-
-if [ -e devel-srcpack ] ; then
-  dirlist="$dirlist devel-srcpack"
-fi
-
-for d in $dirlist ; do
-  echo "Running $d/CASCADE-MAKE.sh $*"
-
-  (cd $d ; ./CASCADE-MAKE.sh $*)
-
-  if [ $? != 0 ] ; then
-    echo "Error encountered running $d/CASCADE-MAKE.sh"
-    exit 1
-  fi
-done
-
-
-
-if [ $install = "1" ] ; then
-  cat NOTES.txt
-fi
Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2-NG.sh
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2-NG.sh	(revision 37719)
+++ gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2-NG.sh	(revision 37719)
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+if [ -d "my-python3" ] ; then
+    echo "This sequence of compile-make requires a venv version of Python3"
+    echo "    python -mvenv my-python3"
+    echo "    activate ./my-python3/bin/activate"
+    echo ""
+    echo "You then need to:"
+    echo "    pip3 install meson ninja"
+    echo ""
+    sleep 10
+fi
+
+source setup.bash
+
+if [ "x$GSDLHOME" = "x" ] ; then
+  # This extension needs to have the main GSDL setup.bash sourced
+
+  echo "Greenstone environment variable GSDLHOME not set."
+  echo "Have you sourced the main installation's setup file, e.g. setup.bash?"
+  exit -1
+fi
+
+
+source cascade-make/bin/script/test-setup.bash
+source cascade-make/lib/cascade-lib.bash
+
+# Guaranteed that GSDLOS has now been set
+
+if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
+  echo "Creating $GEXTVIDEO_INSTALLED"
+  mkdir $GEXTVIDEO_INSTALLED
+fi
+
+dirlist="build-srcpack"
+
+if [ -e devel-srcpack ] ; then
+  dirlist="$dirlist devel-srcpack"
+fi
+
+for d in $dirlist ; do
+  echo "Running $d/CASCADE-MAKE-NG.sh $*"
+
+  (cd $d ; ./CASCADE-MAKE-NG.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE-NG.sh"
+    exit 1
+  fi
+done
+
Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.bat
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.bat	(revision 37719)
+++ gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.bat	(revision 37719)
@@ -0,0 +1,15 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+
+call setup.bat
+
+echo "Test for directory in Windows might not be correct syntax!!"
+if not exist "%GEXTVIDEO_INSTALLED%" (
+  echo Creating %GEXTVIDEO_INSTALLED%
+  mkdir "%GEXTVIDEO_INSTALLED%"
+)
+
+unzip installed-winbin.zip
+
+popd
Index: gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.sh
===================================================================
--- gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.sh	(revision 37719)
+++ gs2-extensions/video-and-audio/trunk/src/CASCADE-MAKE2.sh	(revision 37719)
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+if [ "x$GSDLHOME" = "x" ] ; then
+  # This extension needs to have the main GSDL setup.bash sourced
+
+  echo "Greenstone environment variable GSDLHOME not set."
+  echo "Have you sourced the main installation's setup file, e.g. setup.bash?"
+  exit -1
+fi
+
+if [ -z $APACHE_HTTPD_HOME ] ; then
+  export APACHE_HTTPD_HOME=$GSDLHOME/apache-httpd/$GSDLOS
+fi
+
+if [ ! -d "$APACHE_HTTPD_HOME" ] ; then
+  # ... and it also needs to have been configured with --enable-apache-httpd
+  # This is because the entension needs to add mod_flvx to the web server
+
+  if [ -z $GSDL3SRCHOME  ] ; then
+    # Greenstone 2
+    echo "Warning: Did not find the directory \"$APACHE_HTTPD_HOME\""
+    echo "         Has the main Greenstone been configured for this? "
+    echo "         e.g. ./configure --enable-apache-httpd [... other options]"
+    echo ""
+    echo "=> Only the build-time code for the extension will be compiled"
+  else 
+    # Greenstone 3
+    echo "  Compiling build-time video extension for Greenstone3 use"
+  fi
+  export APACHE_HTTPD_HOME=
+fi
+
+
+source cascade-make/bin/script/test-setup.bash
+source cascade-make/lib/cascade-lib.bash
+
+# Guaranteed that GSDLOS has now been set
+
+if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
+  echo "Creating $GEXTVIDEO_INSTALLED"
+  mkdir $GEXTVIDEO_INSTALLED
+fi
+
+dirlist="build-srcpack"
+
+if [ ! -z $APACHE_HTTPD_HOME ] ; then
+  dirlist="$dirlist runtime-srcpack"
+fi
+
+if [ -e devel-srcpack ] ; then
+  dirlist="$dirlist devel-srcpack"
+fi
+
+for d in $dirlist ; do
+  echo "Running $d/CASCADE-MAKE.sh $*"
+
+  (cd $d ; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
+
+
+if [ $install = "1" ] ; then
+  cat NOTES.txt
+fi