Index: in/trunk/greenstone3/web/WEB-INF/servlets.xml
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/servlets.xml	(revision 37738)
+++ 	(revision )
@@ -1,318 +1,0 @@
-<servlet>
-	<servlet-name>library</servlet-name>
-	<description>The standard gsdl3 library program</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-        <!-- this is the servlet url path - needs to match what you have specified in servlet-mapping below -->
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>library</param-value>
-	</init-param>
-
-	<!-- 
-	     Production versions of Greenstone will typically need to set 'init-param' valus below if
-	     the DL operates through a Reverse Proxy server, such as Apache2, which publically presents 
-	     externally over 'https' but internally routes things through to an http running instance
-	     of tomcat providing Greenstone3.
-
-	     For example, to have a Greenstone3 appear as:
-	         https://mydomain.org/my-greenstone3/library
-
-	     In your Apache2 configuration file include:
-
-                 ProxyPass        /my-greenstone3 http://localhost:8383/greenstone3
-		 ProxyPassReverse /my-greenstone3 http://localhost:8383/greenstone3
-		 <Location /my-greenstone3>
-		     ProxyPassReverseCookiePath /greenstone3 /my-greenstone3
-		 </Location>
-
-             The <Location> tags future proof things for the case where you run more than one 
-	     Greenstone3 on the same server.  This can just be the ProxyPassReverseCookiePath
-	     entry, if there is only one GS3 server running.
-
-	     In the params below we break things down into constituent parts to make some of the 
-	     XSL template rules easier to write.
-	-->
-
-	<!-- 
-	     Leave the following commented out if you are using http://localhost:8383/greenstone3/ 
-	     as this is construted automatically from build.properties for use as the HTML <base> tag
-	-->
-	<!-- **** TODO: consider changing this to be built up from servlet_domain, servlet_opt_port, servlet_context / -->
-	<!--
-        <init-param>
-          <param-name>servlet_url_prefix</param-name>
-          <param-value>//mydomain.org//my-greenstone3/</param-value>
-	</init-param>
-	-->
-	
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>localsite</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>default</param-value>
-	</init-param>
-	<init-param>
-		<param-name>receptionist_class</param-name>
-		<param-value>DefaultReceptionist</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-        <init-param>
-          <!-- Does this servlet provide a favourites option? true/false-->
-          <param-name>favouritebasket</param-name>
-          <param-value>true</param-value>
-        </init-param>
-        <init-param>
-          <!-- Does this servlet provide a documentbasket option? true/false.
-Note, this currently doesn't work properly -->
-          <param-name>documentbasket</param-name>
-          <param-value>false</param-value>
-        </init-param>
-
-	<!--
-		The cookie consent manager is a component of the default interface that alerts the end user
-		to Greenstone's cookie usage. It also allows them to consent to non-essential cookies.
-		It can be customised by editing the 'cookieconsent-init.js' file in the default interface's 'js' folder.
-		To disable the manager for all interfaces that support it, remove or comment out this entire parameter.
-	-->
-	<init-param>
-		<param-name>cookie_consent</param-name>
-		<param-value>comment_this_entire_param_to_disable</param-value>
-	</init-param>
-        <!-- if you want to use a non standard greenstone cookie path (by default it will use greenstone.context in build.properties), then set the value of it here. If you are mapping to an address without this part (eg my-site.org/library) then cookie path will be / -->
-	<!--
-        <init-param>
-          <param-name>cookie_path</param-name>
-          <param-value>/greenstone3</param-value>
-        </init-param>
-	-->
-
-	<!-- ***** -->
-        <!-- Google related keys and id credentials -->
-	<!-- ***** -->
-
-	<!--
-	<init-param>
-	  <param-name>google_tracking_id</param-name>
-	  <param-value>UA-?????.....?????</param-value>
-	</init-param>	
-	-->
-	
-	<!-- For Google Authenticated Signin, need to specify the client-id (*not* the secret one) -->
-	<!-- More details at: https://developers.google.com/identity/sign-in/web/sign-in -->
-	<init-param>
-          <param-name>googlesignin_client_id</param-name>
-          <param-value>?????.....?????.apps.googleusercontent.com</param-value>
-        </init-param>
-	-->
-
-	<!-- For details on how to set up a Google API key to use with Google Maps, see:
-               https://developers.google.com/maps/documentation/javascript/get-api-key
-        -->
-        <!-- TLDR:
-               1. On the Credentials page, create an API key (copy the displayed value)
-               2. Then restrict it to your website
-               3. Further restrict calls to just Google Maps API
-               4. Give the key a name you will remember
-               5. Press Save
-               6. Paste the key into the <param-value> below
-        -->
-	<!--
-        <init-param>
-          <param-name>googlemaps_api_key</param-name>
-          <param-value>?????.....?????</param-value>
-        </init-param>
-	-->
-</servlet>
-
-<!-- the /* in the url-pattern below is necessary for the restful URLs to work.
-     e.g. greenstone3/library/collection/lucene-jdbm-demo/page/about
--->
-<servlet-mapping>
-    <servlet-name>library</servlet-name>
-    <url-pattern>/library/*</url-pattern>
-</servlet-mapping>
-
-<servlet>
-	<servlet-name>halftone-library</servlet-name>
-	<description>A library servlet using the standard content, but with the halftone interface.</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>halftone-library</param-value>
-	</init-param>
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>localsite</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>halftone</param-value>
-	</init-param>
-	<init-param>
-		<param-name>receptionist_class</param-name>
-		<param-value>DefaultReceptionist</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-
-	<!-- For Google Analytics -->
-	<!--
-	<init-param>
-	  <param-name>google_tracking_id</param-name>
-	  <param-value>UA-?????.....?????</param-value>
-	</init-param>	
-	-->
-
-	<!-- For Google Authenticated Signin, need to specify the client-id (*not* the secret one) -->
-	<!--
-	<init-param>
-          <param-name>googlesignin_client_id</param-name>
-          <param-value>?????.....?????.apps.googleusercontent.com</param-value>
-        </init-param>
-	-->
-</servlet>
-
-<servlet-mapping>
-    <servlet-name>halftone-library</servlet-name>
-    <url-pattern>/halftone-library/*</url-pattern>
-</servlet-mapping>
-
-<!--<servlet>
-	<servlet-name>gs2-library</servlet-name>
-	<description>Greenstone 2 lookalike library program: uses localsite with the gs2 interface</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>gs2-library</param-value>
-	</init-param>
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>localsite</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>gs2</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-	<init-param>
-		<param-name>session_expiration</param-name>
-		<param-value>1800</param-value>
-	</init-param>
-	<init-param>
-		<param-name>params_class</param-name>
-		<param-value>GS2Params</param-value>
-	</init-param>
-</servlet>
-
-<servlet-mapping>
-    <servlet-name>gs2-library</servlet-name>
-    <url-pattern>/gs2-library/*</url-pattern>
-</servlet-mapping>
--->
-
-<!--<servlet>
-	<servlet-name>nzdl-library</servlet-name>
-	<description>gsdl3 library program</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>nzdl</param-value>
-	</init-param>
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>nzdl</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>nzdl</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-	<init-param>
-		<param-name>params_class</param-name>
-		<param-value>NZDLParams</param-value>
-	</init-param>
-	<init-param>
-		<param-name>session_expiration</param-name>
-		<param-value>600</param-value>
-	</init-param>
-</servlet>
-
-<servlet-mapping>
-    <servlet-name>nzdl-library</servlet-name>
-    <url-pattern>/nzdl/*</url-pattern>
-</servlet-mapping>
-
--->
-
-<!--<servlet>
-	<servlet-name>gateway</servlet-name>
-	<description>gsdl3 library based on gateway site and basic interface. It uses SOAP to talk to localsite</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>gateway</param-value>
-	</init-param>
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>gateway</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>basic</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-</servlet>
-
-<servlet-mapping>
-    <servlet-name>gateway</servlet-name>
-    <url-pattern>/gateway/*</url-pattern>
-</servlet-mapping>
--->
-
-<!--<servlet>
-	<servlet-name>basic-library</servlet-name>
-	<description>basic gsdl3 library program: uses localsite and the basic interface</description>
-	<servlet-class>org.greenstone.gsdl3.LibraryServlet</servlet-class>
-	<init-param>
-		<param-name>library_name</param-name>
-		<param-value>basic-library</param-value>
-	</init-param>
-	<init-param>
-		<param-name>site_name</param-name>
-		<param-value>localsite</param-value>
-	</init-param>
-	<init-param>
-		<param-name>interface_name</param-name>
-		<param-value>basic</param-value>
-	</init-param>
-	<init-param>
-		<param-name>default_lang</param-name>
-		<param-value>en</param-value>
-	</init-param>
-	<init-param>
-		<param-name>allow_client_side_xslt</param-name>
-		<param-value>true</param-value>
-	</init-param>
-</servlet>
-
-<servlet-mapping>
-    <servlet-name>basic-library</servlet-name>
-    <url-pattern>/basic-library/*</url-pattern>
-</servlet-mapping>
--->